package ru.dbotthepony.kstarbound.defs.world.terrain

import ru.dbotthepony.kstarbound.json.builder.JsonFactory

class ConstantTerrainSelector(name: String, data: Data, parameters: TerrainSelectorParameters) : AbstractTerrainSelector<ConstantTerrainSelector.Data>(name, data, parameters) {
	@JsonFactory
	data class Data(val value: Double)

	override val type: TerrainSelectorType
		get() = TerrainSelectorType.CONSTANT

	override fun get(x: Int, y: Int): Double {
		return config.value
	}
}
