package ru.dbotthepony.kstarbound.defs.world.terrain

class TerrainSelectorFactory<D : Any, out T : AbstractTerrainSelector<D>>(val name: String, private val data: D, private val factory: (String, D, TerrainSelectorParameters) -> T) {
	fun create(parameters: TerrainSelectorParameters): T {
		return factory(name, data, parameters)
	}
}
